Package org.apache.tools.ant.types.optional.imageio

## Class Ellipse

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.optional.imageio.ImageOperation
      - - org.apache.tools.ant.types.optional.imageio.BasicShape
        - - org.apache.tools.ant.types.optional.imageio.Ellipse

- All Implemented Interfaces:
    `java.lang.Cloneable`, `DrawOperation`

      public class Ellipse
      extends BasicShape
      implements DrawOperation

  Draw an ellipse.
  See Also:
    `ImageIOTask`

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.optional.imageio.BasicShape

      `fill, height, stroke, strokeWidth, width`

    - ### Fields inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

      `instructions`

    - ### Fields inherited from class org.apache.tools.ant.types.DataType

      `checked, ref`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Ellipse()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.awt.image.BufferedImage` | `executeDrawOperation()` | Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.

    - ### Methods inherited from class org.apache.tools.ant.types.optional.imageio.BasicShape

      `setFill, setHeight, setStroke, setStrokewidth, setWidth`

    - ### Methods inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

      `addDraw, addRotate, addScale`

    - ### Methods inherited from class org.apache.tools.ant.types.DataType

      `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Ellipse

          public Ellipse()

  - ### Method Detail

    - #### executeDrawOperation

          public java.awt.image.BufferedImage executeDrawOperation()

      Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background..
      Specified by:
        `executeDrawOperation` in interface `DrawOperation`
      Returns:
        a planar image